var config    = require('../../lib/configReader.js')
var gulp      = require('gulp')
var path      = require('path')
var rev       = require('gulp-rev')
var revNapkin = require('gulp-rev-napkin');
var gulpIf    = require('gulp-if');

// 1) Add md5 hashes to assets referenced by CSS and JS files
gulp.task('rev-assets', function() {
  // Ignore files that may reference assets. We'll rev them next.
  var ignoreThese = '!' + path.join(config.root.dest,'/**/*+(css|js|json|html)')

  return gulp.src([path.join(config.root.dest,'/**/*'), ignoreThese])
      .pipe(gulpIf(config.tasks.production.rev, rev()))
      .pipe(gulp.dest(config.root.dest))
      .pipe(revNapkin({verbose: false, force:true}))
      .pipe(rev.manifest(path.join(config.root.dest, 'rev-manifest.json'), {merge: true}))
      .pipe(gulp.dest(''))
})
