var gulp       = require('gulp')
var config     = require('../../lib/configReader.js')
var revReplace = require('gulp-rev-replace')
var path       = require('path')
var gulpIf     = require('gulp-if');

// 5) Update asset references in HTML
gulp.task('update-html', function(){
  var manifest = gulp.src(path.join(config.root.dest, "/rev-manifest.json"))
  return gulp.src(path.join(config.root.dest, config.tasks.html.dest, '/**/*.html'))
      .pipe(gulpIf(config.tasks.production.rev, revReplace({manifest: manifest})))
      .pipe(gulp.dest(path.join(config.root.dest, config.tasks.html.dest)))
})
