process.chdir('./node_modules/viu-launchpad/gulpfile.js');
var config 		  = require('./gulpfile.js/lib/configReader.js')
var karmaWebpack  = require('karma-webpack')
var webpackConfig = require('./gulpfile.js/lib/webpack-multi-config')
var path          = require('path')
var gutil		  = require('gulp-util')

var testSrc = path.join(config.root.src.replace('../',''), '/**/*.test.js')
gutil.log(testSrc)
var karmaConfig = {
  frameworks: ['mocha', 'sinon-chai'],
  files: [ testSrc ],
  preprocessors: {},
  webpack: webpackConfig('test'),
  singleRun: false,
  reporters: ['nyan'],
  browsers: ['Chrome']
}

karmaConfig.preprocessors[testSrc] = ['webpack']

module.exports = function(config) {
  config.set(karmaConfig)
}
