var gulp            = require('gulp')
var gulpSequence    = require('gulp-sequence')
var getEnabledTasks = require('../lib/getEnabledTasks')

var debugTask = function(cb) {
  var tasks = getEnabledTasks('debug');

  if (tasks.customDevTasks) {
    gulpSequence('clean', tasks.assetTasks, tasks.codeTasks, tasks.customDevTasks, 'static', cb)
  }
  else {
    gulpSequence('clean', tasks.assetTasks, tasks.codeTasks, 'static', cb)
  }
}

gulp.task('debug', debugTask)
module.exports = debugTask