var config     = require('../../lib/configReader.js')
var gulp       = require('gulp')
var path       = require('path')
var revReplace = require('gulp-rev-replace')
var gulpIf     = require('gulp-if');

// 2) Update asset references with reved filenames in compiled css + js
gulp.task('rev-update-references', function(){
  var manifest = gulp.src(path.join(config.root.dest, "rev-manifest.json"))

  return gulp.src(path.join(config.root.dest,'/**/**.{css,js}'))
      .pipe(gulpIf(config.tasks.production.rev, revReplace({manifest: manifest})))
      .pipe(gulp.dest(config.root.dest))
})
